Skip to main content
GET
Get Channel List
See also: Channel List for a reference of common channelId values by environment.

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Query Parameters

countryCode
string
required

Country code with 2-letter of ISO Alpha-2 standard

Maximum string length: 2
Example:

"MY"

Response

200 - application/json

Success

id
integer<int32>

An identifier that represents CommercePay channel.

name
string | null

Channel Name

displayName
string | null

Merchant-facing display name for the channel (may differ from name).

type
enum<integer>
Available options:
1,
2,
3
status
enum<integer>
Available options:
0,
1
refundType
enum<integer>
Available options:
0,
1,
2
refundChargesType
enum<integer>
Available options:
0,
1
isProviderHostChannel
boolean

Indicates whether this channel has provider-hosted sub-channels (e.g. a list of banks for FPX).

When true, call Get Provider Channels with this channel's id to retrieve its list of sub-channels before requesting payment.

When false, the channel can be used directly with no further lookup.

currencies
object[] | null
imageUrl
string | null

Url image of Payment Provider channel

groupId
integer<int32> | null
groupName
string | null
groupImageUrl
string | null
savePayment
boolean

Availability to save user info for subsequent payments